

//Main unit Xbee stand alone arduino sketch- openenergymonitor.org GPL
//Author: Trystan Lea

//Libraries
#include <SoftwareSerial.h>

//----------XBEE SERIAL LINK VARIABLE DECLERATION----------
  //Xbee link serial connection
  SoftwareSerial xbeeSerial(6, 7);
//---------------------------------------------------------

//Declare these here - usually would be in the measurment variable dec.
double realPower,apparentPower,powerFactor,Vrms,Irms,freq,kwhTotal;

void setup() {
  

//----------XBEE SERIAL LINK SETUP-------------------------   
    xbeeSerial.begin(9600);
//---------------------------------------------------------

}

//The main loop - all procedures and functions in include files
//You should have DataLogger,Display,Measurments,SerialLinks in
//your bar above.
void loop() {

      //Here we shall just set the values to be written.
      realPower = 100.0;
      apparentPower = 200.0;
      powerFactor = 0.5;
      Vrms = 200.0;
      Irms = 1.0;
      freq = 50.01;
      kwhTotal = 101.01;
      
      //Send data via xbee link to ethernet unit
      sendDataToXbee();

      delay(1000);
}


